> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/square-off-all-position.md).

# Square Off All Position

### &#x20;<a href="#squareoffallposition" id="squareoffallposition"></a>

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/SquareOffAllPosition`

\
**QUERY PARAMETERS**

| Request Parameter | Description   | Mandatory |
| ----------------- | ------------- | --------- |
| broker            | Broker Code   | Yes       |
| strategy          | Strategy Name | No        |

<pre data-title="# Here is a curl example"><code><strong>-X POST https://amapi.algomojo.com/v1/SquareOffAllPosition
</strong></code></pre>

{% code title="Request example :" %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret",
"data":
{
 "broker":"sm",
 "strategy":"Test Strategy"
}
}
```

{% endcode %}

{% code title="Response example :" %}

```

[
{
 "status": "success",
 "data": {
     "symbol": "GRASIM29DEC22F",
     "status": "closed"
 }
},
{
 "status": "success",
 "data": {
     "symbol": "BHARATFORG29DEC22F",
     "status": "closed"
 }
},
{
 "status": "success",
 "data": {
     "symbol": "GRASIM24NOV22C1820",
     "status": "closed"
 }
},
{
 "status": "success",
 "data": {
     "symbol": "NIFTY24NOV22C18000",
     "status": "closed"
 }
}
]

```

{% endcode %}
